UserSessionEvent.Reason (Java SE 9 & JDK 9 )
Keywords: java.awt.desktop.UserSessionEvent.Reason class

Module java.desktop
Package java.awt.desktop

## Enum UserSessionEvent.Reason

- java.lang.Object
- - java.lang.Enum<UserSessionEvent.Reason>
  - - java.awt.desktop.UserSessionEvent.Reason

- All Implemented Interfaces:
    `Serializable`, `Comparable<UserSessionEvent.Reason>`
  Enclosing class:
    UserSessionEvent

      public static enum UserSessionEvent.Reason
      extends Enum<UserSessionEvent.Reason>

  Kinds of available reasons of user session change.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONSOLE` | The session was connected/disconnected to the console terminal.
    `LOCK` | The session has been locked/unlocked.
    `REMOTE` | The session was connected/disconnected to the remote terminal.
    `UNSPECIFIED` | The system does not provide a reason for a session change.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static UserSessionEvent.Reason` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static UserSessionEvent.Reason[]` | `values​()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSPECIFIED

          public static final UserSessionEvent.Reason UNSPECIFIED

      The system does not provide a reason for a session change.

    - #### CONSOLE

          public static final UserSessionEvent.Reason CONSOLE

      The session was connected/disconnected to the console terminal.

    - #### REMOTE

          public static final UserSessionEvent.Reason REMOTE

      The session was connected/disconnected to the remote terminal.

    - #### LOCK

          public static final UserSessionEvent.Reason LOCK

      The session has been locked/unlocked.

  - ### Method Detail

    - #### values

          public static UserSessionEvent.Reason[] values​()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserSessionEvent.Reason c : UserSessionEvent.Reason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserSessionEvent.Reason valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null